using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 日语等级枚举
    /// </summary>
    public enum CourseRateEnum
    {
        

        /// <summary>
        /// 基础课程
        /// </summary>
        [EnumField("基础课程")]
        BASE=1,

        /// <summary>
        /// N5课程
        /// </summary>
        [EnumField("N5课程")]
        N5 = 2,

        /// <summary>
        /// N4课程
        /// </summary>
        [EnumField("N4课程")]
        N4 = 3,

        /// <summary>
        /// N3课程
        /// </summary>
        [EnumField("N3课程")]
        N3 = 4,

        /// <summary>
        /// N2课程
        /// </summary>
        [EnumField("N2课程")]
        N2 = 5,

        /// <summary>
        /// N1课程
        /// </summary>
        [EnumField("N1课程")]
        N1 = 6,

        /// <summary>
        /// 专业课程
        /// </summary>
        [EnumField("专业课程")]
        MAJOR = 7,

        /// <summary>
        /// 其它
        /// </summary>
        [EnumField("其他")]
        OTHER = 8,
    }
}
